org.apache.fop.render.pcl

## Interface PCLEventProducer

- All Superinterfaces:
    EventProducer

      public interface PCLEventProducer
      extends EventProducer

  Event producer interface for events generated by the PCL renderer.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `PCLEventProducer.Provider` Provider class for the event producer.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `paperTypeUnavailable(java.lang.Object source, long pageWidth, long pageHeight, java.lang.String fallbackPaper)` Paper type could not be determined.

- - ### Method Detail

    - #### paperTypeUnavailable

          void paperTypeUnavailable(java.lang.Object source,
                                    long pageWidth,
                                    long pageHeight,
                                    java.lang.String fallbackPaper)

      Paper type could not be determined. Falling back to another.
      Parameters:
        `source` - the event source
        `pageWidth` - the page width (in millipoints)
        `pageHeight` - the page height (in millipoints)
        `fallbackPaper` - the paper type that will be used instead
      Event severity level:
        WARN

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.